Skip to main content
GET
/
v1
/
tables
/
{table_id}
/
rows
/
{row_id}
Get Table Row
curl --request GET \
  --url https://api.extruct.ai/v1/tables/{table_id}/rows/{row_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "status": "running",
  "columns": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "config": {
        "name": "<string>",
        "key": "<string>",
        "kind": "input"
      }
    }
  ],
  "parent_row_id": "<string>",
  "company_profile_id": "<string>",
  "data": {},
  "metadata": {},
  "parent_data": {}
}

Overview

This endpoint returns a single row by ID.

Example request

export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export ROW_ID="YOUR_ROW_ID"

curl --get "https://api.extruct.ai/v1/tables/${TABLE_ID}/rows/${ROW_ID}" \
  -H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"

Key parameters

  • table_id (required): target table identifier.
  • row_id (required): target row identifier.

Success signal

A successful response returns one row object with id, data, and row metadata.

Common errors

401 Unauthorized

Check that your header is Authorization: Bearer ${EXTRUCT_API_TOKEN}.

404 Not Found

The table ID or row ID is invalid or unavailable in your workspace.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required
row_id
string
required

Response

Successful Response

id
string
required
created_at
string<date-time>
required

Row creation time.

status
enum<string>
required
Available options:
running,
idle
columns
ColumnOutputSchema · object[]
required
parent_row_id
string | null

ID of the parent row, if any.

company_profile_id
string | null

ID of the linked company profile.

data
Data · object
metadata
object

Additional metadata

parent_data
object

Data from the parent row, if requested and available.